petsc-3.12.1 2019-10-22
Report Typos and Errors

# VecRestoreArrayWrite

Restores a vector after VecGetArrayWrite() has been called.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode VecRestoreArrayWrite(Vec x,PetscScalar **a)

Logically Collective on Vec

### Input Parameters

| x | - the vector
| a | - location of pointer to array obtained from VecGetArray()

### See Also

VecGetArray(), VecRestoreArrayRead(), VecRestoreArrays(), VecRestoreArrayF90(), VecRestoreArrayReadF90(), VecPlaceArray(), VecRestoreArray2d(),
VecGetArrayPair(), VecRestoreArrayPair(), VecGetArrayWrite()

### Level

beginner

### Location

src/vec/vec/interface/rvector.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages